{% import 'AppBundle:Macros:macros.html.twig' as this %}
{% extends 'AppBundle::_panelBlueTemplate.html.twig' %}

    {% block panel_title %}
        <a href="#" actionUrl="{{ path('candidate_edit', { 'id': candidate.id }) }}" class="modal-form pull-right btn btn-primary"><i class="fa fa-edit"></i> Modifier</a>
        Infos sur le candidat
    {% endblock %}

    {% block panel_body %}
        {{ this.labeled_value(candidate.firstName, 'Prénom') }}
        {{ this.labeled_value(candidate.name, 'Nom') }}
        {{ this.labeled_value(candidate.gender, 'Genre') }}
        {{ this.labeled_value(candidate.birthDate|date('d/m/Y'), 'Date de naissance') }}
        {{ this.labeled_value(candidate.job, 'Profession') }}
        {{  this.bool_true_false(candidate.commitment, 'Engagement', 'Oui', 'Non') }}
        <hr>
        {{ this.labeled_value(candidate.email, 'Email') }}
        {{ this.labeled_value(candidate.phone, 'Téléphone') }}
        {{ this.labeled_value(candidate.address, 'Adresse') }}
        {{ this.labeled_value(candidate.postalCode, 'Code postal') }}
        {% if candidate.town %}
            <div class="row">
                <div class="col-xs-4 text-right" style="margin-bottom: 1em;">Commune</div>
                <div class="col-xs-8 }} strong" style="margin-bottom: 1em;">
                    {% if candidate.town.other %}
                        {{ candidate.town }} ({{ candidate.city }})
                    {% elseif candidate.district %}
                        {{ candidate.town }} - {{ candidate.district }}
                    {% else %}
                        {{ candidate.town }}
                    {% endif %}
                </div>
            </div>
        {% else %}
            {{ this.labeled_value(candidate.city, 'Commune') }}
        {% endif %}
        <hr>
    {% endblock %}



